* SWIM data pin is  PD1


Guys using similar board:
https://www.ondrovo.com/a/20170107-stm8-getting-started/
https://www.cnx-software.com/2015/04/13/how-to-program-stm8s-1-board-in-linux/



---

```
dnf install \
  sdcc
```

also: 
https://github.com/vdudouyt/stm8flash

worth trying examples from:
git clone https://github.com/vdudouyt/sdcc-examples-stm8.git

note, needed to remove `sp_test.ihx` like in cnx-software.com and in addition
set `SDCC=sdcc-sdcc`

